► |  | Dr Scheme: PLT Programming Environment

1 | Interface Essentials
2 | Languages
3 | Interface Reference
4 | Extending Dr Scheme
| Index

▼ | 2 | Languages

2.1 | Modules
2.2 | Legacy Languages
2.3 | How to Design Programs Teaching Languages
2.4 | Professor J
2.5 | Other Experimental Languages
2.6 | Output Printing Styles

Version: 4.1.4
top← prev up next →

#### 2.1`` Modules

The Module language is really a kind of meta-language, where the program itself specifies its language, usually through a #lang line.

More generally, when using Module, the definitions window must contain a module in some form. Besides #lang, a Scheme module can be written as (module ...). In any case, aside from comments, the definitions window must contain exactly one module.

top← prev up next →